# Get a deal **GET /deals/{dealId}** Using the deal guid in the request path, the method requests a deal. ## Servers - http://api.example.com: http://api.example.com () ## Authentication methods - Bearer token ## Parameters ## Responses ### 200 Retrieved deal successfully. #### Body: application/json (object) - **id** (string(uuid)) - **version** (integer(int32)) - **createdTimestamp** (string(date-time)) - **modifiedTimestamp** (string(date-time)) - **culture** (string) - **number** (string) - **mlsNumber** (string) - **statusCode** (string) - **classCode** (string) - **name** (string) - **addressStreetNumber** (string) - **addressStreetName** (string) - **addressStreetDirection** (string) - **addressUnitNumber** (string) - **addressCity** (string) - **addressProvinceCode** (string) - **addressPostalCode** (string) - **addressCountryCode** (string) - **offerDate** (string(date)) - **closeDate** (string(date)) - **entryDate** (string(date)) - **finalizeDate** (string(date)) - **firmDate** (string(date)) - **closePrice** (number(float)) - **legalDescription** (string) - **classification** (object) - **propertyType** (object) - **businessContacts** (array) - **client-contacts** (array) - **conditions** (array) - **deposits** (array) - **externalAgents** (array) - **tiers** (array) ### 400 Invalid request. See response body for details. ### 401 Unauthorized request. See response body for details. ### 403 Permission denied. See response body for details. ### 404 Deal not found. #### Body: application/json (object) - **code** (integer(int32)) - **message** (string) - **details** (array[string]) ### 412 Optimistic concurrency check failed. The If-Match header is missing or it does not contain the version currently in the database. ### 500 Unknown error. See response body for details. [Powered by Bump.sh](https://bump.sh)